GET
/
fiat-accounts
List fiat accounts
curl --request GET \
  --url https://api.balansas.com/functions/v1/customer-api/fiat-accounts \
  --header 'x-api-key: <api-key>'
{
  "data": [
    {
      "id": "a3f1c2e4-5b6d-7e8f-9a0b-1c2d3e4f5a6b",
      "fr_account_id": "facc_3kZ9xQ2mLpV",
      "account_name": "EUR Operating",
      "currency": "EUR",
      "balance": 1250.75,
      "status": "active",
      "is_master": true,
      "linked_business_id": null,
      "fr_owner_business_id": "busi_8Jh2KdLm5Qx",
      "iban": "GB29NWBK60161331926819",
      "account_number": "31926819",
      "sort_code": "601613",
      "routing_number": "026073150",
      "created_at": "2026-05-28T11:02:09.456Z",
      "updated_at": "2026-05-28T11:02:09.456Z"
    }
  ],
  "meta": {
    "pagination": {
      "page": 1,
      "limit": 25,
      "total": 100
    }
  }
}

Authorizations

x-api-key
string
header
required

Customer API key. Send as x-api-key: sk_... or Authorization: Bearer sk_.... Write operations also require an X-CSRF-Token header (64-char hex).

Response

Success

data
object[]
required
meta
object
required